/*
  Olimexino-328 + MOD-BT
  
  This example configures the Olimexino-328 board
  to read the characters MOD-BT receives as a server
  and react to them.
  
  Here, '1' toggles LED1
        '2' toggles LED2
  
  More can be added, of course. If you want
  to receive whole strings, take a look at the
  functions in Bluetooth.h, it provides such
  functionality.
  
  If you have any questions, email
  support@olimex.com
  https://www.olimex.com
  Jan 2013
*/

#include "Bluetooth.h"

void setup(){
  
  pinMode(13, OUTPUT);    //Init LED1
  pinMode( 9, OUTPUT);    //Init LED2
  digitalWrite(13, LOW);  //Turn off LED1
  digitalWrite(9, LOW);   //Turn off LED2
  
  //Open serial connection to UEXT
    Serial.begin(115200);
  
  //Init; 115200 is the rate at which other devices should connect to MOD-BT.
    BT_init(115200);
  
  //Disable the echo
    BT_echoOff();
  		
  //Allow other devices to auto-connect to MOD-BT
    BT_setAutoConnection();
  		
  //Start the server
    BT_start();
}

void loop(){
  
 // Read a single character from the serial communication
 // with another bluetooth device. We have configured
 // MOD-BT in setup() to act as a server and the serial communication
 // will start automatically once another device connects to it.
 // For eaxmple: A PC+Bluetooth usb stick; the bluetooth
 // software on the PC creates a COM port, where you can send
 // characters directly to MOD-BT, which in turn sends them to the Arduino
 // via the UEXT connection.
 
  char c;
  
  while(!Serial.available());
  
  c = Serial.read();
  switch(c)
  {
    case '1': 
         digitalWrite(13, digitalRead(13)^1);
         break;
    case '2':
         digitalWrite( 9, digitalRead( 9)^1);
         break;		
  };
}
